Jump to content

# 32-bit package guidelines (Português)

3 languages

- English
- 日本語
- 中文（简体）

From ArchWiki
Status de tradução: Esse artigo é uma tradução de 32-bit package guidelines. Data da última tradução: 2019-06-19. Você pode ajudar a sincronizar a tradução, se houver alterações na versão em inglês.

Software legado 32 bits pode ser compilado e instalado em máquinas de outra arquitetura nativa, como x86_64. Esse artigo explica a produção e convenções de tais pacotes.

## Nomenclatura de pacote

- Prefixe versões 32 bits de pacotes nativos com lib32-.
- Descrições de pacotes devem distingui-las das contrapartes nativas, p.ex., `pkgdesc+=" (32-bit)"`.

## Variáveis e parâmetros

### lib32

Especifique essas variáveis bash em um PKGBUILD para dizer ao compilador para gerar código em 32 bits:

    export CFLAGS+=" -m32"
    export CXXFLAGS+=" -m32"
    export LDFLAGS+=" -m32"
    export PKG_CONFIG_PATH='/usr/lib32/pkgconfig'

#### Colocação de arquivos

Certifique-se que arquivos de pacotes lib32 não conflitem com os arquivos de pacote nativo e que incluam todos os arquivos necessários, tal como "includes" específicos de arquitetura. Por exemplo, se um pacote compila usando GNU Autoconf, especifique o seguinte `configure`:

    --program-suffix="-32" \
    --lib{exec,}dir=/usr/lib32 \
    --includedir=/usr/include/"$pkgbase"32 \
    --build=i686-pc-linux-gnu

Category:

- Arch package guidelines (Português)